0 Replies Latest reply on Dec 4, 2015 6:30 PM by Elisha Stevenson

    Edge Handle Missing from InsertSplitLineIntersect(7)

    Elisha Stevenson

      C#

       

      Upon creation of an intersection feature between a reference plane and a face, a split line Feature is returned.

           Feature splitLineFeature = (Feature)swFeatMgr.InsertSplitLineIntersect(7); //7 = natural

       

      I can get the split line feature data using GetDefinition().

           SplitLineFeatureData featureData = (SplitLineFeatureData)splitLineFeature.GetDefinition();

       

      However, neither of these objects give access to the intersection edge visible in the SolidWork's window. When I right-click on the edge in the window and select "Edge Properties" the "Name:" field is blank. If I create a macro and select the edge, I get something like this: "boolstatus = Part.Extension.SelectByID2("", "EDGE", -4.88000697579309E-02, 0.078348731415673, 1.47142594136085E-03, True, 0, Nothing, 0)." Again, the first field is blank. This leads me to believe that their is no interrelation between the Split Line and the Edge object.

       

      Is there a more efficient way to get the Edge without iterating through the part objects until an unnamed Edge is found? All I need from the Edge are the endpoints.

       

      Thanks for any insight!